Package be.e_contract.ejsf.component.taginfo

# Class TagInfoComponent

java.lang.Object
javax.faces.component.UIComponent
javax.faces.component.UIComponentBase
be.e_contract.ejsf.component.taginfo.TagInfoComponent

All Implemented Interfaces:
  `EventListener`, `javax.faces.component.NamingContainer`, `javax.faces.component.PartialStateHolder`, `javax.faces.component.StateHolder`, `javax.faces.component.TransientStateHolder`, `javax.faces.event.ComponentSystemEventListener`, `javax.faces.event.FacesListener`, `javax.faces.event.SystemEventListenerHolder`

public class TagInfoComponent extends javax.faces.component.UIComponentBase implements javax.faces.component.NamingContainer

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TagInfoComponent.PropertyKeys`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPONENT_TYPE`

### Fields inherited from class javax.faces.component.UIComponent

`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

### Fields inherited from interface javax.faces.component.NamingContainer

`SEPARATOR_CHAR`

## Constructor Summary

Constructors
Constructor
Description
`TagInfoComponent()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getActualNamespace()`
`String`
`getDescription()`
`String`
`getFamily()`
`List<FunctionInfo>`
`getFunctions()`
`List<TagInfo>`
`getTags()`
`String`
`getVersion()`

### Methods inherited from class javax.faces.component.UIComponentBase

`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

### Methods inherited from class javax.faces.component.UIComponent

`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COMPONENT_TYPE

public static final String COMPONENT_TYPE

See Also:
  - Constant Field Values

## Constructor Details

### TagInfoComponent

public TagInfoComponent()

## Method Details

### getFamily

public String getFamily()

Specified by:
  `getFamily` in class `javax.faces.component.UIComponent`

### getActualNamespace

public String getActualNamespace()

### getDescription

public String getDescription()

### getVersion

public String getVersion()

### getFunctions

public List<FunctionInfo> getFunctions()

### getTags

public List<TagInfo> getTags()